> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mixroute.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Grok 4.20 Multi-Agent

> Grok 4.20 Multi-Agent: 複数のエージェントが並列で協力して詳細な調査を行う、1Mコンテキストを備えたxAIモデル。

Grok 4.20 Multi-Agentは、複数のエージェントが並列に動作し、その結果を統合するxAIの詳細調査モデルです。

OpenAI互換のResponses APIを使用し、MixRouteを通じて`grok-4.20-multi-agent-0309`を呼び出します。

<Warning>
  このモデルはChat Completionsでは利用できません。`POST /v1/responses`を使用してください。Chat Completionsではエンドポイントエラーが返されます。
</Warning>

## 主な機能

* 並列エージェント - 複数のエージェントが同じ調査タスクで協働
* 1Mのコンテキストウィンドウ - 大量の資料と長期にわたる調査に対応
* 推論とツール - 推論、関数呼び出し、構造化出力に対応
* マルチモーダル入力 - テキストと画像を受け取り、テキストを返す

## 簡単な使用例

<Tabs>
  <Tab title="cURL">
    ```bash theme={null}
    curl "https://api.mixroute.ai/v1/responses" \
      -H "Authorization: Bearer YOUR_API_KEY" \
      -H "Content-Type: application/json" \
      -d '{
        "model": "grok-4.20-multi-agent-0309",
        "input": "Compare the main operational risks of three database migration strategies and produce a sourced recommendation.",
        "max_output_tokens": 512
      }'
    ```
  </Tab>

  <Tab title="Python">
    ```python theme={null}
    from openai import OpenAI

    client = OpenAI(api_key="YOUR_API_KEY", base_url="https://api.mixroute.ai/v1")

    response = client.responses.create(
        model="grok-4.20-multi-agent-0309",
        input="Compare the main operational risks of three database migration strategies and produce a sourced recommendation.",
        max_output_tokens=512,
    )

    print(response.output_text)
    ```
  </Tab>
</Tabs>

## パラメータ

| パラメーター | 型 | 必須 | 説明 |
| - | - | - | - |
| `model` | string | はい | モデルID: `grok-4.20-multi-agent-0309`。 |
| `input` | string \| array | はい | テキストまたは構造化されたマルチモーダル入力。 |
| `max_output_tokens` | integer | いいえ | 最大出力トークン数。 |
| `tools` | array | いいえ | OpenAI互換のツール定義。 |

<Note>
  MixRouteには`grok-4.20-multi-agent-beta-0309`が掲載される場合もあります。新規の連携では、上記の正規IDである`grok-4.20-multi-agent-0309`を使用してください。
</Note>

## ベンダーの参考資料

* [Grok 4.20 Multi-Agentのドキュメント](https://docs.x.ai/developers/models/grok-4.20-multi-agent-0309)


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.